#!/bin/sh
echo "Welcome to DarkOnion Root Part 1"
sleep 3
echo " "
echo "Checking for devices"
echo " "
./adb devices
echo "Transfering Superuser.apk"
./adb push Superuser.apk /sdcard/Superuser.apk
echo " "
echo "Transfering su"
./adb push su /sdcard/su
echo " "
echo "Transfering busybox"
./adb push busybox /sdcard/busybox
echo " "
echo "Transfering rageagainstthecage-arm5.bin"
./adb push rageagainstthecage-arm5.bin /data/local/tmp/rageagainstthecage-arm5.bin
echo " "
echo "Transfering doroot3"
./adb push doroot3.sh /data/local/tmp/doroot3.sh
echo " "
chmod 0755 doroot2.sh
echo " "
echo "You will be entering ADB Shell shortly." 
echo "A program will run. Let it run until it"
echo "kicks you back to the command prompt."
echo " "
echo "10 seconds until shell opens."
sleep 5
echo "5 seconds until shell opens."
sleep 1
echo "4"
sleep 1
echo "3"
sleep 1
echo "2"
sleep 1
echo "1"
sleep 1
echo "  "
echo "Now chmoding rageagainstthecage-arm5.bin"
./adb shell "chmod 0755 data/local/tmp/rageagainstthecage-arm5.bin"
echo " "
echo "Enter ./data/local/tmp/rageagainstthecage-arm5.bin"
echo "This process can take up to 15 minutes."
echo "After being kicked back to command prompt,"
echo "enter ./doroot2.sh"
echo " "
./adb shell

# ./adb shell "./data/local/tmp/rageagainstthecage-arm5.bin"

